package ru.neroduckale.sharik;

import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;
import ru.neroduckale.sharik.dao.balanceDaoImpl;

@DatabaseTable(tableName = "balanceTable", daoClass = balanceDaoImpl.class)
public class Balance {
    @DatabaseField(canBeNull = false, unique = true, columnName = "nickname")
    private String nickname;
    
    @DatabaseField(canBeNull = false, unique = false, columnName = "balance")
    private int balance;
    public Balance() {}
    public int getBalance() {
        return balance;
    }
    public String getNickname() {return nickname;}
    public void setBalance(int balance) {
        this.balance = balance;
    }
    public void setNickname(String nickname) {
        this.nickname = nickname;
    }
    
}
